CYR_SYNCLOG(8)

NAME
cyr_synclog - Cyrus IMAP documentation

is used to append a value to the log file. You can either specify the log type and value, or an entire log line.

SYNOPSIS

            cyr_synclog [ -C config-file ] [ -{type} value ]
            cyr_synclog [ -C config-file ] "<raw-log-line>"

DESCRIPTION

cyr_synclog is used to append a value to the log file. You can either specify the log type and value, or an entire log line.

Running without any options will print a short usage document.

cyr_synclog reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -u, --user user

    -U, --unuser unuser

    -v, --sieve sieve

    -m, --mailbox mailbox

    -M, --unmailbox unmailbox

    -a, --append append

    -c, --acl acl

    -q, --quota quota

    -n, --annotation annotation

    -s, --seen seen

    -b, --subscription subscription

EXAMPLES

            cyr_synclog -m user.brong
        Add the mailbox user.brong to the log.

            cyr_synclog -u brong
        Add the user brong to the log.

            cyr_synclog -C /etc/imapd-special.conf -s user.brong brong
        Add a log entry to mark mailbox user.brong as seen by user brong.

            cyr_synclog "SEEN user.brong brong"
        Add a log line, using the raw format, to mark mailbox user.brong as seen by user brong.

HISTORY

This command was introduced in version 3.0.

FILES

/etc/imapd.conf, <configdirectory>/sync/log

SEE ALSO

imapd.conf(5), sync_client(8)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)

COPYRIGHT
1993–2026, The Cyrus Team